CalryOTA Docs
Promotions

Assign all integration account listings to promotion

Assigns all listings from specified integration accounts to a promotion

PUT
/api/v1/promotions/{id}/integration-account/assign

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

id*string

ID of the promotion to assign listings to

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. Controls access to promotions and their associated listings. If not provided, the default tenant will be used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/api/v1/promotions/123e4567-e89b-12d3-a456-426614174000/integration-account/assign" \  -H "Content-Type: application/json" \  -d '{    "integrationAccountIDs": [      "123e4567-e89b-12d3-a456-426614174000",      "223e4567-e89b-12d3-a456-426614174000"    ]  }'
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Beach House",
    "integrationAccountID": "123e4567-e89b-12d3-a456-426614174000",
    "externalID": "ext-123",
    "status": "ACTIVE",
    "description": "Beautiful beach house with ocean views",
    "thumbnailURL": "https://example.com/images/thumbnail.jpg",
    "pictures": [
      "https://example.com/images/pic1.jpg",
      "https://example.com/images/pic2.jpg"
    ],
    "latitude": 34.0522,
    "longitude": -118.2437,
    "bedroomCount": 3,
    "bathroomCount": 2
  }
]
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty